1. Registry
  2. Packages
  3. Oracle Cloud Infrastructure
  4. API Docs
  5. DataSafe
  6. getSubsettingReportSubsettingErrors
Viewing docs for Oracle Cloud Infrastructure v5.5.0
published on Thursday, Oct 22, 2026 by Pulumi
oci logo oci logo
Viewing docs for Oracle Cloud Infrastructure v5.5.0
published on Thursday, Oct 22, 2026 by Pulumi

    This data source provides the list of Subsetting Report Subsetting Errors in Oracle Cloud Infrastructure Data Safe service.

    Gets a list of subsetting errors in a subsetting run based on the specified query parameters.

    Example Usage

    import * as pulumi from "@pulumi/pulumi";
    import * as oci from "@pulumi/oci";
    
    const testSubsettingReportSubsettingErrors = oci.datasafe.getSubsettingReportSubsettingErrors({
        subsettingReportId: testSubsettingReport.id,
        stepName: subsettingReportSubsettingErrorStepName,
    });
    
    import pulumi
    import pulumi_oci as oci
    
    test_subsetting_report_subsetting_errors = oci.datasafe.get_subsetting_report_subsetting_errors(subsetting_report_id=test_subsetting_report["id"],
        step_name=subsetting_report_subsetting_error_step_name)
    
    package main
    
    import (
    	"github.com/pulumi/pulumi-oci/sdk/v5/go/oci/datasafe"
    	"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
    )
    
    func main() {
    	pulumi.Run(func(ctx *pulumi.Context) error {
    		_, err := datasafe.GetSubsettingReportSubsettingErrors(ctx, &datasafe.GetSubsettingReportSubsettingErrorsArgs{
    			SubsettingReportId: testSubsettingReport.Id,
    			StepName:           pulumi.StringRef(subsettingReportSubsettingErrorStepName),
    		}, nil)
    		if err != nil {
    			return err
    		}
    		return nil
    	})
    }
    
    using System.Collections.Generic;
    using System.Linq;
    using Pulumi;
    using Oci = Pulumi.Oci;
    
    return await Deployment.RunAsync(() => 
    {
        var testSubsettingReportSubsettingErrors = Oci.DataSafe.GetSubsettingReportSubsettingErrors.Invoke(new()
        {
            SubsettingReportId = testSubsettingReport.Id,
            StepName = subsettingReportSubsettingErrorStepName,
        });
    
    });
    
    package generated_program;
    
    import com.pulumi.Context;
    import com.pulumi.Pulumi;
    import com.pulumi.core.Output;
    import com.pulumi.oci.DataSafe.DataSafeFunctions;
    import com.pulumi.oci.DataSafe.inputs.GetSubsettingReportSubsettingErrorsArgs;
    import java.util.ArrayList;
    import java.util.Arrays;
    import java.util.Map;
    import java.io.File;
    import java.nio.file.Files;
    import java.nio.file.Paths;
    
    public class App {
        public static void main(String[] args) {
            Pulumi.run(App::stack);
        }
    
        public static void stack(Context ctx) {
            final var testSubsettingReportSubsettingErrors = DataSafeFunctions.getSubsettingReportSubsettingErrors(GetSubsettingReportSubsettingErrorsArgs.builder()
                .subsettingReportId(testSubsettingReport.get("id"))
                .stepName(subsettingReportSubsettingErrorStepName)
                .build());
    
        }
    }
    
    variables:
      testSubsettingReportSubsettingErrors:
        fn::invoke:
          function: oci:DataSafe:getSubsettingReportSubsettingErrors
          arguments:
            subsettingReportId: ${testSubsettingReport.id}
            stepName: ${subsettingReportSubsettingErrorStepName}
    
    terraform {
      required_providers {
        oci = {
          source = "pulumi/oci"
        }
      }
    }
    
    data "oci_data_safe_subsetting_report_subsetting_errors" "testSubsettingReportSubsettingErrors" {
      subsetting_report_id = testSubsettingReport.id
      step_name            = subsettingReportSubsettingErrorStepName
    }
    

    Using getSubsettingReportSubsettingErrors

    Two invocation forms are available. The direct form accepts plain arguments and either blocks until the result value is available, or returns a Promise-wrapped result. The output form accepts Input-wrapped arguments and returns an Output-wrapped result.

    function getSubsettingReportSubsettingErrors(args: GetSubsettingReportSubsettingErrorsArgs, opts?: InvokeOptions): Promise<GetSubsettingReportSubsettingErrorsResult>
    function getSubsettingReportSubsettingErrorsOutput(args: GetSubsettingReportSubsettingErrorsOutputArgs, opts?: InvokeOutputOptions): Output<GetSubsettingReportSubsettingErrorsResult>
    def get_subsetting_report_subsetting_errors(filters: Optional[Sequence[GetSubsettingReportSubsettingErrorsFilter]] = None,
                                                step_name: Optional[str] = None,
                                                subsetting_report_id: Optional[str] = None,
                                                opts: Optional[InvokeOptions] = None) -> GetSubsettingReportSubsettingErrorsResult
    def get_subsetting_report_subsetting_errors_output(filters: pulumi.Input[Optional[Sequence[pulumi.Input[GetSubsettingReportSubsettingErrorsFilterArgs]]]] = None,
                                                step_name: pulumi.Input[Optional[str]] = None,
                                                subsetting_report_id: pulumi.Input[Optional[str]] = None,
                                                opts: Optional[InvokeOutputOptions] = None) -> Output[GetSubsettingReportSubsettingErrorsResult]
    func GetSubsettingReportSubsettingErrors(ctx *Context, args *GetSubsettingReportSubsettingErrorsArgs, opts ...InvokeOption) (*GetSubsettingReportSubsettingErrorsResult, error)
    func GetSubsettingReportSubsettingErrorsOutput(ctx *Context, args *GetSubsettingReportSubsettingErrorsOutputArgs, opts ...InvokeOption) GetSubsettingReportSubsettingErrorsResultOutput

    > Note: This function is named GetSubsettingReportSubsettingErrors in the Go SDK.

    public static class GetSubsettingReportSubsettingErrors 
    {
        public static Task<GetSubsettingReportSubsettingErrorsResult> InvokeAsync(GetSubsettingReportSubsettingErrorsArgs args, InvokeOptions? opts = null)
        public static Output<GetSubsettingReportSubsettingErrorsResult> Invoke(GetSubsettingReportSubsettingErrorsInvokeArgs args, InvokeOptions? opts = null)
        public static Output<GetSubsettingReportSubsettingErrorsResult> Invoke(GetSubsettingReportSubsettingErrorsInvokeArgs args, InvokeOutputOptions opts)
    }
    public static CompletableFuture<GetSubsettingReportSubsettingErrorsResult> getSubsettingReportSubsettingErrors(GetSubsettingReportSubsettingErrorsArgs args, InvokeOptions options)
    public static Output<GetSubsettingReportSubsettingErrorsResult> getSubsettingReportSubsettingErrors(GetSubsettingReportSubsettingErrorsArgs args, InvokeOptions options)
    public static Output<GetSubsettingReportSubsettingErrorsResult> getSubsettingReportSubsettingErrors(GetSubsettingReportSubsettingErrorsArgs args, InvokeOutputOptions options)
    
    fn::invoke:
      function: oci:DataSafe/getSubsettingReportSubsettingErrors:getSubsettingReportSubsettingErrors
      arguments:
        # arguments dictionary
    data "oci_data_safe_get_subsetting_report_subsetting_errors" "name" {
        # arguments
    }

    The following arguments are supported:

    SubsettingReportId string
    The OCID of the subsetting report.
    Filters List<GetSubsettingReportSubsettingErrorsFilter>
    StepName string
    A filter to return only subsetting errors that match the specified step name.
    SubsettingReportId string
    The OCID of the subsetting report.
    Filters []GetSubsettingReportSubsettingErrorsFilter
    StepName string
    A filter to return only subsetting errors that match the specified step name.
    subsetting_report_id string
    The OCID of the subsetting report.
    filters list(object)
    step_name string
    A filter to return only subsetting errors that match the specified step name.
    subsettingReportId String
    The OCID of the subsetting report.
    filters List<GetSubsettingReportSubsettingErrorsFilter>
    stepName String
    A filter to return only subsetting errors that match the specified step name.
    subsettingReportId string
    The OCID of the subsetting report.
    filters GetSubsettingReportSubsettingErrorsFilter[]
    stepName string
    A filter to return only subsetting errors that match the specified step name.
    subsetting_report_id str
    The OCID of the subsetting report.
    filters Sequence[GetSubsettingReportSubsettingErrorsFilter]
    step_name str
    A filter to return only subsetting errors that match the specified step name.
    subsettingReportId String
    The OCID of the subsetting report.
    filters List<Property Map>
    stepName String
    A filter to return only subsetting errors that match the specified step name.

    getSubsettingReportSubsettingErrors Result

    The following output properties are available:

    Id string
    The provider-assigned unique ID for this managed resource.
    SubsettingErrorCollections List<GetSubsettingReportSubsettingErrorsSubsettingErrorCollection>
    The list of subsetting_error_collection.
    SubsettingReportId string
    Filters List<GetSubsettingReportSubsettingErrorsFilter>
    StepName string
    The stepName of the subsetting error.
    Id string
    The provider-assigned unique ID for this managed resource.
    SubsettingErrorCollections []GetSubsettingReportSubsettingErrorsSubsettingErrorCollection
    The list of subsetting_error_collection.
    SubsettingReportId string
    Filters []GetSubsettingReportSubsettingErrorsFilter
    StepName string
    The stepName of the subsetting error.
    id string
    The provider-assigned unique ID for this managed resource.
    subsetting_error_collections list(object)
    The list of subsetting_error_collection.
    subsetting_report_id string
    filters list(object)
    step_name string
    The stepName of the subsetting error.
    id String
    The provider-assigned unique ID for this managed resource.
    subsettingErrorCollections List<GetSubsettingReportSubsettingErrorsSubsettingErrorCollection>
    The list of subsetting_error_collection.
    subsettingReportId String
    filters List<GetSubsettingReportSubsettingErrorsFilter>
    stepName String
    The stepName of the subsetting error.
    id string
    The provider-assigned unique ID for this managed resource.
    subsettingErrorCollections GetSubsettingReportSubsettingErrorsSubsettingErrorCollection[]
    The list of subsetting_error_collection.
    subsettingReportId string
    filters GetSubsettingReportSubsettingErrorsFilter[]
    stepName string
    The stepName of the subsetting error.
    id str
    The provider-assigned unique ID for this managed resource.
    subsetting_error_collections Sequence[GetSubsettingReportSubsettingErrorsSubsettingErrorCollection]
    The list of subsetting_error_collection.
    subsetting_report_id str
    filters Sequence[GetSubsettingReportSubsettingErrorsFilter]
    step_name str
    The stepName of the subsetting error.
    id String
    The provider-assigned unique ID for this managed resource.
    subsettingErrorCollections List<Property Map>
    The list of subsetting_error_collection.
    subsettingReportId String
    filters List<Property Map>
    stepName String
    The stepName of the subsetting error.

    Supporting Types

    GetSubsettingReportSubsettingErrorsFilter

    Name string
    Values List<string>
    Regex bool
    Name string
    Values []string
    Regex bool
    name string
    values list(string)
    regex bool
    name String
    values List<String>
    regex Boolean
    name string
    values string[]
    regex boolean
    name str
    values Sequence[str]
    regex bool
    name String
    values List<String>
    regex Boolean

    GetSubsettingReportSubsettingErrorsSubsettingErrorCollection

    items list(object)
    An array of subsetting error objects.
    items List<Property Map>
    An array of subsetting error objects.

    GetSubsettingReportSubsettingErrorsSubsettingErrorCollectionItem

    Error string
    The text of the subsetting error.
    FailedStatement string
    The statement resulting into the error.
    StepName string
    A filter to return only subsetting errors that match the specified step name.
    TimeCreated string
    The date and time the error entry was created, in the format defined by RFC3339.
    Error string
    The text of the subsetting error.
    FailedStatement string
    The statement resulting into the error.
    StepName string
    A filter to return only subsetting errors that match the specified step name.
    TimeCreated string
    The date and time the error entry was created, in the format defined by RFC3339.
    error string
    The text of the subsetting error.
    failed_statement string
    The statement resulting into the error.
    step_name string
    A filter to return only subsetting errors that match the specified step name.
    time_created string
    The date and time the error entry was created, in the format defined by RFC3339.
    error String
    The text of the subsetting error.
    failedStatement String
    The statement resulting into the error.
    stepName String
    A filter to return only subsetting errors that match the specified step name.
    timeCreated String
    The date and time the error entry was created, in the format defined by RFC3339.
    error string
    The text of the subsetting error.
    failedStatement string
    The statement resulting into the error.
    stepName string
    A filter to return only subsetting errors that match the specified step name.
    timeCreated string
    The date and time the error entry was created, in the format defined by RFC3339.
    error str
    The text of the subsetting error.
    failed_statement str
    The statement resulting into the error.
    step_name str
    A filter to return only subsetting errors that match the specified step name.
    time_created str
    The date and time the error entry was created, in the format defined by RFC3339.
    error String
    The text of the subsetting error.
    failedStatement String
    The statement resulting into the error.
    stepName String
    A filter to return only subsetting errors that match the specified step name.
    timeCreated String
    The date and time the error entry was created, in the format defined by RFC3339.

    Package Details

    Repository
    oci pulumi/pulumi-oci
    License
    Apache-2.0
    Notes
    This Pulumi package is based on the oci Terraform Provider.
    oci logo oci logo
    Viewing docs for Oracle Cloud Infrastructure v5.5.0
    published on Thursday, Oct 22, 2026 by Pulumi

      Try Pulumi Cloud free.
      Your team will thank you.

      Start free trial